Bug 728736 - No sound before local login
Summary: No sound before local login
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xrdp
Version: 15
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-06 19:47 UTC by Daniel Betz
Modified: 2012-08-07 16:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:24:12 UTC


Attachments (Terms of Use)

Description Daniel Betz 2011-08-06 19:47:50 UTC
Description of problem:
Sound does not work when login first over xrdp.
The sound is working immediately after local login with kdm.

Steps to Reproduce:
1. Boot server and do not login locally
2. Login remote with help of Remote Desktop Connection (xrdp)
3. Try to play sound with e.g. amarok

Actual results:
No sound.

Expected results:
Sound.

Tested with mplayer with alsa and pulseaudio and amarok
with gstreamer backend.

Comment 1 Daniel Betz 2011-08-06 19:57:14 UTC
Looks like ACLs are not set properly. After local login with kdm
the files in /dev/snd has a plus right after the regular permissions
in the output of 'ls' to indicate extended ACLs.

Comment 2 Habig, Alec 2011-12-21 14:52:01 UTC
Logging in on console does not set /dev/snd perms properly anymore either (worked with F15).  Still no access after a "startx".  Both console and X sessions are properly listed by "ck-list-sessions".

So, sounds like something listed wrong in console-kit in general rather than xrdp in particular.

Not sure how directly related this is, but a couple years ago ck lost track of the sound devices in a similar way, as described in bugs #532814 and #520103.  Good debugging into in those bugs anyway although not the eventual fixes.

Will poke around some more , then maybe crosslist this bug with console-kit?

Comment 3 Habig, Alec 2011-12-26 15:04:54 UTC
Opened a ConsoleKit bug 769649 for my issue: that's a problem with ConsoleKit not doing the right thing for an X session created with startx rather than with xrdp, but could be related if ConsoleKit has abdicated permissions setting to kdm.

Comment 4 Fedora End Of Life 2012-08-07 16:24:14 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.